> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Integrations Per Tsp

> List all TSPs and the supported integrations for each TSP with cursor pagination.



## OpenAPI

````yaml https://api.catenatelematics.com/v2/integrations/openapi.json get /v2/integrations/tsps
openapi: 3.1.0
info:
  title: Telematics Integrations Service - REST API
  description: Integrations Service REST API.
  version: 0.1.0
servers:
  - url: https://api.catenatelematics.com
    description: Catena Telematics API
security: []
tags:
  - name: Connections
    description: >-
      Endpoints for managing connections between Fleets and TSPs, including
      their nested schedules and executions. A connection has schedules, and
      each schedule has executions.
  - name: TSP Integrations
    description: Endpoints to view TSPs and their integration support status per resource.
paths:
  /v2/integrations/tsps:
    get:
      tags:
        - TSP Integrations
      summary: List Integrations Per Tsp
      description: >-
        List all TSPs and the supported integrations for each TSP with cursor
        pagination.
      operationId: list_integrations_per_tsp
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for the next page
            title: Cursor
          description: Cursor for the next page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Page size
            default: 300
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/_CursorPage_TypeVar_Customized_TspIntegrationsRead_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MethodNotAllowed'
          description: Method Not Allowed
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Conflict'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntity'
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayTimeout'
          description: Gateway Timeout
components:
  schemas:
    _CursorPage_TypeVar_Customized_TspIntegrationsRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TspIntegrationsRead'
          type: array
          title: Items
        current_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
      title: _CursorPage[TypeVar]Customized[TspIntegrationsRead]
    BadRequest:
      properties:
        code:
          type: integer
          title: Code
          default: 400
        message:
          type: string
          title: Message
          default: Bad Request
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BadRequest
    Unauthorized:
      properties:
        code:
          type: integer
          title: Code
          default: 401
        message:
          type: string
          title: Message
          default: Unauthorized
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Unauthorized
    Forbidden:
      properties:
        code:
          type: integer
          title: Code
          default: 403
        message:
          type: string
          title: Message
          default: Forbidden
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Forbidden
    NotFound:
      properties:
        code:
          type: integer
          title: Code
          default: 404
        message:
          type: string
          title: Message
          default: Not Found
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: NotFound
    MethodNotAllowed:
      properties:
        code:
          type: integer
          title: Code
          default: 405
        message:
          type: string
          title: Message
          default: Method Not Allowed
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: MethodNotAllowed
    Conflict:
      properties:
        code:
          type: integer
          title: Code
          default: 409
        message:
          type: string
          title: Message
          default: Conflict
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Conflict
    UnprocessableEntity:
      properties:
        code:
          type: integer
          title: Code
          default: 422
        message:
          type: string
          title: Message
          default: Invalid Request Body
        detail:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Detail
      type: object
      title: UnprocessableEntity
    TooManyRequests:
      properties:
        code:
          type: integer
          title: Code
          default: 429
        message:
          type: string
          title: Message
          default: Too Many Requests
        detail:
          anyOf:
            - $ref: '#/components/schemas/RetryAfterDetail'
            - type: 'null'
      type: object
      title: TooManyRequests
    InternalServerError:
      properties:
        message:
          type: string
          title: Message
          default: Internal Server Error
      type: object
      title: InternalServerError
    GatewayTimeout:
      properties:
        code:
          type: integer
          title: Code
          default: 504
        message:
          type: string
          title: Message
          default: Gateway Timeout
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: GatewayTimeout
    TspIntegrationsRead:
      properties:
        tsp_id:
          type: string
          format: uuid
          title: TSP ID
          description: Unique identifier for the Telematics Service Provider (TSP).
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: TSP Slug
          description: Human-friendly slug for the TSP.
        source_name:
          anyOf:
            - $ref: '#/components/schemas/TspEnum'
            - type: 'null'
          title: Source Name
          description: The name of the TSP integration.
        integrations:
          additionalProperties:
            $ref: '#/components/schemas/IntegrationStatusEnum'
          propertyNames:
            $ref: '#/components/schemas/ResourceEnum'
          type: object
          title: Integrations
          description: >-
            Map of every resource to the current integration implementation
            status.
        implemented_count:
          type: integer
          title: Implemented by Catena Count
          description: Count of integrations supported by the TSP and implemented by Catena
        not_implemented_count:
          type: integer
          title: Not Implemented by Catena Count
          description: >-
            Count of integrations supported by the TSP, but not implemented by
            Catena
        not_supported_count:
          type: integer
          title: Not Supported by TSP Count
          description: Count of integrations not supported by the TSP
        unknown_count:
          type: integer
          title: Unknown Support Status Count
          description: Count of integrations whose support status is currently unknown
      type: object
      required:
        - tsp_id
        - integrations
        - implemented_count
        - not_implemented_count
        - not_supported_count
        - unknown_count
      title: TspIntegrationsRead
      description: API model describing which resources are supported by a TSP adapter.
      example:
        implemented_count: 2
        integrations:
          hos_event: unknown
          user: not_implemented
          vehicle: implemented
          vehicle_location: implemented
        not_implemented_count: 1
        not_supported_count: 0
        slug: eroad-us
        source_name: eroad
        tsp_id: 00000000-0000-0000-0000-000000000001
        unknown_count: 1
    ValidationErrorDetail:
      properties:
        path:
          type: string
          title: Path
        input:
          type: string
          title: Input
        message:
          type: string
          title: Message
        error_type:
          type: string
          title: Error Type
      type: object
      required:
        - path
        - input
        - message
        - error_type
      title: ValidationErrorDetail
    RetryAfterDetail:
      properties:
        retry_after_seconds:
          type: integer
          title: Retry After Seconds
        message:
          type: string
          title: Message
      type: object
      required:
        - retry_after_seconds
        - message
      title: RetryAfterDetail
    TspEnum:
      type: string
      enum:
        - ada
        - ai_eld
        - air_eld
        - alfa_eld
        - alpha_eld
        - als
        - anytrek_pro
        - anytrek_classic
        - apex_eld
        - apollo
        - apollocloud
        - ascend
        - att
        - awaregps
        - azuga
        - bigroad
        - bluehorse_eld
        - blueinktech
        - bouncie
        - budgetgps
        - catena_simulator
        - captain_eld
        - carrier_lynx
        - club_eld
        - counting_trucks_eld
        - cyntrx
        - digital_eld
        - dragon_eld
        - drive_hos
        - drive_hos_v2
        - driver_tech
        - dsg_elogs
        - dynamic_eld
        - eighteighteight_eld
        - eld_88
        - eld_books
        - eld_mandate
        - eld_mandate_prime
        - eroad
        - eva_eld
        - evo_eld
        - expressway_eld
        - extreme_eld
        - ezlogz
        - ez_lynk
        - factor_eld
        - firstgate
        - fleetcomplete
        - fleetcompletehub
        - fleethunt
        - fleetpulse
        - fleetsharp
        - fleetup
        - fm
        - forwardthinking
        - forza_eld
        - geotab
        - gpsinsight
        - gpstab
        - gpstrackit
        - grand_eld
        - greenlight
        - groundhog
        - hcss
        - hos247
        - hutch
        - intellishift
        - ironman_eld
        - isaac
        - jjkeller
        - kinexaiot
        - knight_eld
        - konexial
        - lioneight
        - linxup
        - loop_eld
        - lucid_eld
        - luna_eld
        - lytx
        - lytxv3
        - mapon
        - matrack
        - maven
        - mdm_eld
        - mobilefleet
        - moonlight_eld
        - motion_eld
        - motive
        - my_drivebook
        - my_logs_eld
        - nero
        - netradyne
        - new_eld_world
        - nextgen_eld
        - nextraq
        - omnitracs
        - onestep
        - ontime_eld
        - optima
        - orbcomm
        - orient_eld
        - panda_eld
        - payd
        - peak_eld
        - peoplenet
        - phillips_connect
        - phoenix
        - pop_eld
        - prologs
        - proride_eld
        - qualitylogs_eld
        - randmcnally
        - rastrac
        - raven
        - redfox
        - regulog_eld
        - ridehub
        - roadeazy
        - rock_eld
        - rollingtrans
        - routemate
        - royal_eld
        - safelane
        - samsara
        - selectivedrive
        - simba_eld
        - skybitz
        - smart_elds
        - sparkle_eld
        - spireon
        - sun_eld
        - surfsight
        - swift
        - switchboard
        - synergy_eld
        - teletracnavman
        - teletracnavman_director
        - telogis
        - tenna
        - thermo_king
        - think
        - tive
        - topcompliance_eld
        - traccar
        - trackease_eld
        - trackpro
        - traclog
        - transflo
        - trimble
        - truckford
        - truckspy
        - truckx
        - trueroad_eld
        - tt
        - txt_eld
        - us_fast_eld
        - verizon_connect
        - vista_eld
        - vistracks
        - vlog_eld
        - vulcansols_eld
        - wialon
        - webfleet
        - xplore_eld
        - zigzag_eld
        - zms_eld
        - zonar
        - zubie
      title: TspEnum
      description: Enum for TSPs
    IntegrationStatusEnum:
      type: string
      enum:
        - implemented
        - not_implemented
        - not_supported
        - unknown
      title: IntegrationStatusEnum
      description: Support status for a given TSP/resource pair.

````